Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.process
Class Context

    java.lang.Object
      com.novell.xml.xpath.ExpressionContext
          com.novell.xsl.process.Context

All Implemented Interfaces:
  ContextNodeList, NamespaceContext, WhitespaceStripper, URIcontext

    public class Context

extends ExpressionContext
implements URIcontext

An extension of the xpath ExpressionContext that has an interface for keeping track of base URIs for documents

Nested Class Summary

Nested classes/interfaces inherited from class com.novell.xml.xpath.ExpressionContext
`ExpressionContext.State`

Field Summary
`protected FunctionLibrary` | `library`
`protected StripList` | `stripList`
`protected Stylesheet` | `stylesheet`
`protected Map` | `uriMap`

Fields inherited from interface com.novell.xml.xpath.ContextNodeList
`DOCUMENT_ORDER, REVERSE_DOCUMENT_ORDER, UNKNOWN_ORDER`

Constructor Summary
`Context(ExpressionContext iVal)` Construct an expression context with the state of the passed context.
`Context(Stylesheet stylesheet, FunctionLibrary library, Map properties)` Construct an empty expression context.

Method Summary
`void` | `addBaseURI(Node node, URL baseURI)` Add the base uri for a document
`void` | `clearBaseURIs()` Clear any document to baseURI mappings
`URL` | `getBaseURI(Node node)` Return the base URI of the document containing the passed node.
`Node` | `getCurrentStylesheetNode()` Return the current stylesheet element being processed
`FunctionLibrary` | `getFunctionLibrary()` Return the FunctionLibrary used for this stylesheet
`Stylesheet` | `getStylesheet()` Return the stylesheet object associated with this Context
`void` | `setStripList(StripList stripList)` Set the StripList object for source node whitespace stripping.
`boolean` | `stripNode(Node node)` Return if a text or cdata section node should be stripped (not returned from an axis).

Methods inherited from class com.novell.xml.xpath.ExpressionContext
`count, evaluate, first, getCurrentNode, getExpandedName, getMark, getNamespaceContext, getNamespaceName, getProperty, next, order, popState, position, pushState, removeProperty, returnToMark, setContextNodeList, setNamespaceContext, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uriMap

    protected Map uriMap

### stripList

    protected StripList stripList

### stylesheet

    protected Stylesheet stylesheet

### library

    protected FunctionLibrary library

Constructor Detail

### Context

    public Context(Stylesheet stylesheet,
                   FunctionLibrary library,
                   Map properties)

  Construct an empty expression context.

  Parameters:
    `stylesheet` - The `Stylesheet` object connected with this `Context`.
    `library` - The `FunctionLibrary` for the `Stylesheet` object.
    `properties` - Map containing extended properties

### Context

    public Context(ExpressionContext iVal)

  Construct an expression context with the state of the passed context.

  Parameters:
    `iVal` -

Method Detail

### getStylesheet

    public Stylesheet getStylesheet()

  Return the stylesheet object associated with this Context

  Returns:
    The stylesheet object associated with this Context

### getFunctionLibrary

    public FunctionLibrary getFunctionLibrary()

  Return the FunctionLibrary used for this stylesheet

  Returns:
    The function library object associated with this Context.

### getCurrentStylesheetNode

    public Node getCurrentStylesheetNode()

  Return the current stylesheet element being processed

  Returns:
    The current stylesheet element being processed

### clearBaseURIs

    public void clearBaseURIs()

  Clear any document to baseURI mappings

### setStripList

    public void setStripList(StripList stripList)

  Set the StripList object for source node whitespace stripping.

### getBaseURI

    public URL getBaseURI(Node node)

  Return the base URI of the document containing the passed node.

  Specified by:
    `getBaseURI` in interface `URIcontext`
  Parameters:
    `node` - The node whose document base URI is desired.
  Returns:
    The base URI as a URL object.

### addBaseURI

    public void addBaseURI(Node node,
                           URL baseURI)

  Add the base uri for a document

  Specified by:
    `addBaseURI` in interface `URIcontext`
  Parameters:
    `node` - A node belonging to the document for which the base URI is to be added.
    `baseURI` - The base URI of the document

### stripNode

    public boolean stripNode(Node node)

  Return if a text or cdata section node should be stripped (not returned from an axis).

  Specified by:
    `stripNode` in interface `WhitespaceStripper`
  Overrides:
    `stripNode` in class `ExpressionContext`
  Parameters:
    `node` - The text or cdata section node to test
  Returns:
    True if the node should be stripped, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD